[arch-commits] Commit in enchant/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 1 14:25:28 EDT 2008


    Date: Thursday, May 1, 2008 @ 14:25:28
  Author: jgc
Revision: 1174

Merged revisions 2-1173 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/enchant/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1148 | jgc | 2008-05-01 13:36:04 +0000 (Thu, 01 May 2008) | 2 lines
  
  upgpkg: enchant 1.4.1-1
      Enable all backends we have the dependencies for. Add license
........

Modified:
  enchant/repos/extra-i686/	(properties)
  enchant/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: enchant/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /enchant/trunk:1
   + /enchant/trunk:1-1173

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-01 18:23:35 UTC (rev 1173)
+++ extra-i686/PKGBUILD	2008-05-01 18:25:28 UTC (rev 1174)
@@ -1,19 +1,20 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=enchant
-pkgver=1.3.0
+pkgver=1.4.1
 pkgrel=1
 pkgdesc="A wrapper library for generic spell checking"
 arch=(i686 x86_64)
-depends=('aspell' 'glib2')
-options=(NOLIBTOOL)
+license=('LGPL')
+depends=('aspell' 'dbus-glib>=0.74' 'hunspell>=1.2.2' 'hspell>=1.0-2')
+options=(!libtool)
 source=(http://www.abisource.com/downloads/enchant/${pkgver}/${pkgname}-${pkgver}.tar.gz)
 url="http://www.abisource.com/enchant/"
-md5sums=('f7edafae875616b83e7a17a7e5c2d585')
+md5sums=('8d309d2fb39a0f5fd2aa564446cb8d62')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }





More information about the arch-commits mailing list